---
layout: default
title: "Join GitLab"
description: "Help the world build better software"
canonical_path: "/jobs/"
twitter_image: '/images/opengraph/Talent-Brand/hiring-group-shot-sko.png'
twitter_image_alt: "Image of GitLab Team Members gathered at an event"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
suppress_header: true
extra_css:
  - jobs.css
extra_js:
  - jobs-2022.js
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    = image_tag "/images/devops-tools/gitlab-icon-rgb.svg", class: "hero-image-small", alt: "GitLab logo svg"
    %h1 Contribute to a culture of empathy and productivity
    %p We’ve been an all-remote company since day one.
    = link_to "See Open Positions", "/jobs/all-jobs/", class: "btn cta-btn accent"

.flex-container.full-width.jobs-content-row
  .flex-container.justify-center.align-center.full-width.culture-content-container
    .flex-container.flex-column.flex-start.culture-row-content
      .flex-container.align-center.content-title
        %h2 A place where anyone can thrive
      %p GitLab is an open core software company that develops the most comprehensive #{link_to 'DevSecOps Platform', '/solutions/devops-platform/'} used by more than 100,000 organizations. Our #{link_to 'mission', '/company/mission'} makes it clear that we believe in a world where everyone can contribute. We make that possible at GitLab by running #{link_to 'our operations', '/handbook/using-gitlab-at-gitlab/'} on our product and staying aligned with #{link_to 'our values', '/handbook/values/'}.
      %p We strive to create a transparent environment where all team members around the world feel that their voices are heard and welcomed. We also aim to be a place where people can show up as their full selves each day and contribute their best.
      = link_to "Thriving while fully remote", "/company/culture/all-remote/getting-started/", class: "btn cta-btn accent"
  .flex-container.full-width.jobs-pg-2-video
    %iframe{:allow => "autoplay; fullscreen; picture-in-picture", :allowfullscreen => "", :frameborder => "0", :width => "100%", :height => "100%", :src => "https://player.vimeo.com/video/848558836?h=6d69349f23" }

.section.explore-handbook-container
  .quote-container.left
    .headshot-wrapper
      = image_tag "/images/blogimages/working-at-gitlab/quote-avatar-bruno.jpg", class: "quote-image", alt: "Gitlab quote headshot of Bruno"
    .quote
      %h6 Bruno - Luanda, Angola
      %p{"data-target" => "#momentsModal", "data-toggle" => "modal", "data-video" => "https://player.vimeo.com/video/677785451", "data-person" => "bruno"}
        GitLab is a great place to work for those who are looking for freedom and to adapt their work to their lifestyle, not the other way around.
        %span See How
  .accent-sq-1
  .accent-sq-2
  .accent-sq-3
  .accent-sq-4
  .accent-sq-5
  .container.listing-container.explore-handbook
    .content
      %h2 Explore the Handbook
      %p
        As an all-remote company, GitLab takes a #{link_to 'handbook first', '/company/culture/all-remote/handbook-first-documentation/'} approach. You can explore the handbook to learn more about how we run the company, you can even #{link_to 'make a merge request to suggest changes', '/handbook/practical-handbook-edits/'}.
      .handbook-bucket-container.margin-top20
        .handbook-bucket-item.values
          %h3 Our Values
          %ul
            %li Our #{link_to 'CREDIT values', '/handbook/values/'} guide all that we do
            %li Our values work as a system that prioritizes quality results
            %li Always Work-in-progress, our values evolve as we grow and people suggest changes
          = link_to "Learn More →", "/handbook/values/", class: "learn-more"
        .handbook-bucket-item.benefits
          %h3 Benefits
          %ul
            %li We offer benefits to manage your health, wealth, and well-being regardless of location
            %li Flexibility in schedule to be there for life’s important moments
            %li Equity compensation & Employee Stock Purchase Plan offered
            %li Generous #{link_to 'Paid Time Off', '/handbook/paid-time-off/'}
          = link_to "Learn More →", "/handbook/total-rewards/benefits/", class: "learn-more"
        .handbook-bucket-item.remote
          %h3 Remote Culture
          %ul
            %li GitLab’s asynchronous working style allows for greater flexibility
            %li Flexibility to live where you want as long as we have an entity in that location
            %li Prioritize work-life balance in the way that works best for you
          = link_to "Learn More →", "/company/culture/all-remote/guide/", class: "learn-more"
        .handbook-bucket-item.product
          %h3 GitLab, the Product
          %ul
            %li GitLab is the most comprehensive #{link_to 'DevSecOps platform', '/solutions/devops-platform/'}, a single application for the entire DevSecOps lifecycle
            %li Organizations use GitLab to deliver better software faster
            %li We run our company (and our handbook) on GitLab
          = link_to "Learn More →", "/solutions/devops-platform/", class: "learn-more"
        .handbook-bucket-item.learning
          %h3 Learning & Development
          %ul
            %li Annual Growth & Development benefit
            %li Industry-leading leadership development programs
            %li Learn in-demand skills with access to platforms like LinkedIn Learning and Level Up
          = link_to "Learn More →", "/handbook/people-group/learning-and-development/", class: "learn-more"
        .handbook-bucket-item.diversity
          %h3 Diversity & Inclusion
          %ul
            %li Diversity, Inclusion, & Belonging is woven into our values and everything we do
            %li GitLab is home to many dedicated Team Member Resource Groups
            %li GitLab is a global, multi-cultural organization with #{link_to 'team members all over the world', '/company/team/'}
          = link_to "Learn More →", "/company/culture/inclusion/", class: "learn-more"
  .quote-container.right
    .headshot-wrapper
      = image_tag "/images/blogimages/working-at-gitlab/quote-avatar-ishita.jpg", class: "quote-image", alt: "Gitlab quote headshot of Ishita"
    .quote
      %h6 Ishita - Bengaluru, India
      %p{"data-target" => "#momentsModal", "data-toggle" => "modal", "data-video" => "https://player.vimeo.com/video/677814891", "data-person" => "ishita"}
        Having the opportunity to work with a leadership team that is so approachable and helpful has truly been amazing.
        %span See How

.full-width.justify-center.align-center.certified-great-container
  .flex-container.align-left.content-title.certified-great
    .gptw-badge
      = image_tag "/images/blogimages/GPTW-badge23-24.png", alt: "Great place to work badge"
    .content
      %h2 Great Place to Work Certified
      %h3 2021-2024
      %p At GitLab, being a great place to work means building a workplace where everyone can contribute and anyone can thrive. We aim to uphold that ideal in every country where we employ GitLab team members.
      = link_to "See our employer awards →", "/handbook/people-group/employment-branding/content-library/#awards-and-lists-recognizing-gitlab-as-a-great-place-to-work", class: "learn-more"

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    %h2 Interested in working at GitLab?
    %p We are actively hiring for a variety of roles.
    = link_to "See Open Positions", "/jobs/all-jobs/", class: "btn cta-btn accent"

.section.moments-that-matter
  .accent-sq-6
  .container.listing-container
    .content
      %h2 Moments that Matter
      %p GitLab’s unique operating style means more flexibility and that flexibility allows for our team members to experience moments that matter in a meaningful way.
      %ul
        %li
          %figure
            = image_tag "/images/blogimages/working-at-gitlab/gitlab-mtm-1.jpg", class: "image-featured", alt: "Gitlab moments that matter"
          %p Remote work made repatriation, a non-linear working day, and a dog possible.
          %span Eirini, Sr. Marketing Campaigns Manager, Athens, Greece
        %li
          %figure
            = image_tag "/images/blogimages/working-at-gitlab/gitlab-mtm-2.jpg", class: "image-featured", alt: "Gitlab moments that matter"
          %p GitLab's asynchronous culture gives me the freedom to shift my working hours to be able to ski during the day.
          %span Taylor, Principal Product Manager, ModelOps, Big Sky, MT
        %li
          %figure
            = image_tag "/images/blogimages/working-at-gitlab/gitlab-mtm-3.jpg", class: "image-featured", alt: "Gitlab moments that matter"
          %p Working remotely allows me to be present for my children and have structure at home in addition to my role at GitLab.
          %span Reshmi, Manager-Solution Architecture, San Francisco Bay Area
        %li
          %figure
            = image_tag "/images/blogimages/working-at-gitlab/gitlab-mtm-4.jpg", class: "image-featured", alt: "Gitlab moments that matter"
          %p When my kids are home, they don't have to hide away or be quiet so I can be in a meeting. They're allowed and encouraged to be around.
          %span Naomi, General Ledger Accountant, Burlington, ON, Canada
    .text-center
      = link_to "Explore Remote Working Experiences", "/company/culture/all-remote/guide/", class: "btn cta-btn accent"
  .quote-container.left.btm
    .headshot-wrapper
      = image_tag "/images/blogimages/working-at-gitlab/quote-avatar-liam.jpg", class: "quote-image", alt: "Gitlab quote headshot of Liam"
    .quote
      %h6 Liam - Sydney, Australia
      %p{"data-target" => "#momentsModal", "data-toggle" => "modal", "data-video" => "https://player.vimeo.com/video/677812885", "data-person" => "liam"}
        Our values are so well thought out and documented that you truly understand what it means to be a GitLab team member.
        %span See How

.section.gitlab-by-the-numbers
  .container.listing-container
    .content
      %h2 GitLab by the numbers
      %p Get an idea of the impact you’ll make here by understanding a few key numbers.
      %ul
        %li
          %strong 2000+
          Team members
        %li
          %strong 2500+
          Total contributors from the Open Source community on GitLab
        %li
          %strong 100K+
          Organizations that use GitLab
        %li
          %strong 2.2M
          Free licenses given to GitLab for education users
        %li
          %strong 2011
          Year the GitLab project was created
        %li
          %strong 22nd
          The day of the month we release product updates, every month
      .flex-container.buttons-container.margin-top20
        = link_to "See Open Positions", "/jobs/all-jobs/", class: "btn cta-btn accent"

.section.bottom-quote
  .accent-sq-7
  .accent-sq-8
  .quote-container.right.btm
    .headshot-wrapper
      = image_tag "/images/blogimages/working-at-gitlab/quote-avatar-michael.jpg", class: "quote-image", alt: "Gitlab quote headshot of Michael"
    .quote
      %h6 Michael - Nuremberg, Germany
      %p{"data-target" => "#momentsModal", "data-toggle" => "modal", "data-video" => "https://player.vimeo.com/video/677818344", "data-person" => "michael"}
        Joining GitLab was a once in a lifetime chance; a new adventure changing the way I work and ensuring that family and friends come first.
        %span See How

#momentsModal.modal.fade.bd-example-modal-lg{"aria-hidden" => "true", "aria-labelledby" => "momentsModalLabel", :role => "dialog", :tabindex => "-1"}
  .modal-content
    .modal-header
      %h4.modal-title Moments that Matter
      %button.close{"aria-label" => "Close", "data-dismiss" => "modal", :type => "button"}
        %span{"aria-hidden" => "true"} ×
    .modal-body
      .embed-container
        %iframe{:allowfullscreen => "", :frameborder => "0", :mozallowfullscreen => "", :src => "", :webkitallowfullscreen => ""}
      %ul#video-thumbnails
        %li.bruno
          %img{:src => "/images/blogimages/working-at-gitlab/thumbnail-bruno.jpg", "data-person" => "bruno", "data-video" => "https://player.vimeo.com/video/677785451"}
        %li.ishita
          %img{:src => "/images/blogimages/working-at-gitlab/thumbnail-ishita.jpg", "data-person" => "ishita", "data-video" => "https://player.vimeo.com/video/677814891"}
        %li.liam
          %img{:src => "/images/blogimages/working-at-gitlab/thumbnail-liam.jpg", "data-person" => "liam", "data-video" => "https://player.vimeo.com/video/677812885"}
        %li.michael
          %img{:src => "/images/blogimages/working-at-gitlab/thumbnail-michael.jpg", "data-person" => "michael", "data-video" => "https://player.vimeo.com/video/677818344"}
